
import { UserModel } from '../kit';
import defaultStyle from './defaultStyle';

interface ArenaConfig {
    /**
     *  工程id
     */
    pid: number,
    /**
     *  环境id
     */
    eid: number,
    /**
     *  版本id，比如最低支持版本10
     */
    sv: number,
    /**
     *  应用门牌号
     */
    routeName: string
}

interface ConfigType {
    /**
    *  基础url
    */
    apiHost: string,
    /**
    *  用户信息
    */
    userInfo?: UserModel,

    /**
    *  令牌
    */
    token: string,

    /**
     *  测试数据
     */
    jwtJson: any,
    /**
     * 当登录用户ID(客户端传递给RN参数)
     */
    currentUserCode?: string,
    /**
     * 当登录用户名称(客户端传递给RN参数)
     */
    currentUserName?: string,
    /**
     * 当登录用户头像(客户端传递给RN参数)
     */
    currentUserPhoto?: string,
    /**意见反馈从原生带过来的本地图片数组 */
    feedBackImages?: [],

    /**
     *  高德地图webApi的key
     */
    mapApiKey: string,

    /**
     *  arena平台的配置
     */
    arenaConfig: ArenaConfig
}


let defaultConfig: ConfigType = {
    // apiHost: 'https://app.baidu.com',
    apiHost: 'https://gatewaytest.bm001.com',
    // apiHost: 'https://gateway.bm001.com',
    token: '',
    // token: 'eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJCMDAwNTA4NCIsInVzZXJJZCI6IkIwMDA1MDg0IiwidXNlclR5cGUiOjMsImV4cCI6MTU5NDAxODg4MH0.G8SxoCi35FqUHXyWgYcBz-V_lS_c560S6ZRxmRMwAuQ',
    jwtJson: { mainShopCode: 'V00885', shopType: '1', userCode: 'B0005084', shopCode: 'V00885', userType: '3', userId: 'B0005084' },
    // 高德mapApi的KEY
    mapApiKey: '1dca7e6dff6f89fcd86ed660435c8891',
    /**
     *  arena平台的配置
     */
    arenaConfig: {
        pid: 13,
        eid: 16,
        sv: 10,
        routeName: 'jzplus'
    }
};

const initialConfig = (config: ConfigType) => {
    defaultConfig = { ...defaultConfig, ...config }
}


export { defaultConfig, defaultStyle, initialConfig };




